oap.c File Reference
Osmocom Authentication Protocol
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/core/msgb.h>`
`#include <osmocom/gsm/tlv.h>`
`#include <osmocom/gsm/oap.h>`
`#include <stdint.h>`

## Functions

int | osmo_oap_decode (struct osmo_oap_message *oap_msg, const uint8_t *const_data, size_t data_len)
| Decode OAP message data. More...
void | osmo_oap_encode (struct msgb *msg, const struct osmo_oap_message *oap_msg)
| Compose OAP message data. More...

## Detailed Description

Osmocom Authentication Protocol